Bug 1324600 - liveusb-creator 3.90.0-1.fc24.noarch does not start in Fedora-KDE-Live-x86_64-24_Alpha-7.iso
Summary: liveusb-creator 3.90.0-1.fc24.noarch does not start in Fedora-KDE-Live-x86_64...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-04-06 18:07 UTC by satellitgo
Modified: 2016-09-20 02:47 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-26 16:34:25 UTC


Attachments (Terms of Use)

Description satellitgo 2016-04-06 18:07:58 UTC
Description of problem:
liveusb-creator 3.90.0-1.fc24.noarch does not start in Fedora-KDE-Live-x86_64-24_Alpha-7.iso 

Version-Release number of selected component (if applicable):
liveusb-creator 3.90.0-1.fc24.noarch

How reproducible:
select menu item .
It does start from root terminal
"Custom OS" does not work; crashes LUC; error:"Qwidget: cannot create a Qwidget without QApplication"

https://bugzilla.redhat.com/show_bug.cgi?id=1310542#c7

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
liveusb-creator does not start in Fedora-KDE-Live-x86_64-24_Alpha-7.iso install to HD (updated 6 april 2016)unless called from terminal.

Only f23.iso's are offered (Downloaded to Home)

Only Fedora Workstation and Fedora Server are offered in first screen
Custom OS does not work crashes LUC; error:"Qwidget: cannot create a Qwidget without QApplication"

Other spins are partially hidden behind [----] (Including Fedora KDE Plasma Desktop)

Comment 1 Chris Murphy 2016-04-06 20:20:16 UTC
Try retesting with http://koji.fedoraproject.org/koji/packageinfo?packageID=6691 and don't forget to manually install qt5-qtgraphicaleffects.x86_64 until there's a newer build that drags it in automatically.

Comment 2 satellitgo 2016-04-06 23:42:14 UTC
http://koji.fedoraproject.org/koji/packageinfo?packageID=6691
http://koji.fedoraproject.org/koji/buildinfo?buildID=747137

liveusb-creator-3.91.0-1.fc24.noarch.rpm

Tested: 10/06/2016

Only starts in root terminal

Custom OS does not work crashes LUC; error:"Qwidget: cannot create a Qwidget without QApplication"

Only f23.iso's are offered (Downloaded to Home)

Other spins are partially hidden behind [----] (Including Fedora KDE Plasma Desktop)

qt5-qtgraphicaleffects.x86_64 already installed with update

Comment 3 satellitgo 2016-04-11 15:07:12 UTC
troubleshooting with mbriza
http://fpaste.org/354060/

Comment 4 satellitgo 2016-04-12 12:09:26 UTC
http://koji.fedoraproject.org/koji/packageinfo?packageID=6691
http://koji.fedoraproject.org/koji/buildinfo?buildID=753459 (f24 rpm)
starts from icon; sees f24 .iso in home; currently writing to usb; finished.

Comment 5 Fedora Update System 2016-04-12 12:36:22 UTC
liveusb-creator-3.92.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 6 satellitgo 2016-04-12 23:06:06 UTC
dnf update --enablerepo=updates-testing liveusb-creator

worked in Fedora-KDE-Live-x86_64-24-20160411.n.1.iso in f23 QEMU/kdm

Comment 7 satellitgo 2016-04-12 23:16:14 UTC
(In reply to satellitgo from comment #6)
> dnf update --enablerepo=updates-testing liveusb-creator
> 
> worked in Fedora-KDE-Live-x86_64-24-20160411.n.1.iso in f23 QEMU/kdm

but booted live is not writable

Comment 8 Martin Bříza 2016-04-13 10:24:41 UTC
Yes, overlay support was removed for the sake of reliable basic functionality. However, I'm planning to look into it after F24 is released, it is likely it'll be possible to get permanent overlay back.

Comment 9 satellitgo 2016-04-14 00:35:55 UTC
kde
if you're on f24, you can just do dnf update --enablerepo=updates-testing liveusb-creator  (LUC is in live)

workstation:
if you're on f24, you can just do dnf install --enablerepo=updates-testing liveusb-creator (LUC is not installed)

Comment 10 satellitgo 2016-04-14 00:38:32 UTC
(In reply to satellitgo from comment #9)
> kde
> if you're on f24, you can just do dnf update --enablerepo=updates-testing
> liveusb-creator  (LUC is in live)
> 
> workstation:
> if you're on f24, you can just do dnf install --enablerepo=updates-testing
> liveusb-creator (LUC is not installed)

Tested versions: Fedora-Workstation-Live-x86_64-24-20160409.n.0.iso created in KDE f24 LUC install to USB>HD

Comment 11 Martin Bříza 2016-04-14 10:20:54 UTC
I don't understand. You're not able to install the tool in Workstation?

Comment 12 satellitgo 2016-04-14 13:00:57 UTC
(In reply to Martin Bříza from comment #11)
> I don't understand. You're not able to install the tool in Workstation?

"dnf update" does not work as LUC is not included in Workstation.

"dnf install" is the needed command.

Comment 13 Martin Bříza 2016-04-14 13:02:41 UTC
Ah, I see. That's intentional though.

Comment 14 Fedora Update System 2016-04-21 16:12:24 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 15 Fedora Update System 2016-04-21 21:59:21 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 16 Kamil Páral 2016-04-22 07:31:06 UTC
verified per bodhi comment

Comment 17 Fedora Update System 2016-04-22 17:06:38 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 18 Fedora Update System 2016-04-24 01:25:13 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 19 Fedora Update System 2016-04-26 08:13:26 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 20 Fedora Update System 2016-04-26 16:23:29 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 21 Fedora Update System 2016-04-26 16:33:01 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.